clang 10.0.0git

Classes | Namespaces | Functions
CharUnits.h File Reference
`#include "llvm/ADT/DenseMapInfo.h"`
`#include "llvm/Support/Alignment.h"`
`#include "llvm/Support/DataTypes.h"`
`#include "llvm/Support/MathExtras.h"`
Include dependency graph for CharUnits.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::CharUnits
| CharUnits - This is an opaque type for sizes expressed in character units. More...
struct | llvm::DenseMapInfo< clang::CharUnits >

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.

## Functions
clang::CharUnits | operator* (clang::CharUnits::QuantityType Scale, const clang::CharUnits &CU)

## Function Documentation

## ◆ operator*()

clang::CharUnits operator* | ( | clang::CharUnits::QuantityType | Scale,
|  | const clang::CharUnits & | CU
| ) |  |
| inline

Definition at line 212 of file CharUnits.h.

Referenced by clang::ASTContext::addComment(), emitNumThreadsForTargetDirective(), clang::DeclContextLookupResult::iterator::operator*(), clang::StmtIteratorImpl< StmtIterator, Stmt *&>::operator->(), and clang::DeclContext::udir_iterator::udir_iterator().